Previous Article Next Article Maverick Meerkat
Posted in Ubuntu

Maverick Meerkat

Pediatra, aficionado a la computación, actualmente usuario de GNU/Linux, distribución Archlinux
Maverick Meerkat Posted on 19 octubre, 2010
Pediatra, aficionado a la computación, actualmente usuario de GNU/Linux, distribución Archlinux

Nueva versión disponible y habia que probarla. Una cosa que me gustó es el nuevo driver de la wifi, que habilita el led que indica la actividad inalámbrica. Algunas mejoras en estabilidad, usabilidad, pero, bueno, es una version nueva y me decidí a probar suerte.

La instalación es siempre fácil, y hay numerosos lugares que detallan con capturas de pantalla como de hace paso a paso. Lo que me gustó es que al iniciar la instalación te pregunta si quieres instalar el soporte para flash y otros de codigo cerrado (mp3), con lo que te evitas de andar buscado todo después y tienes un sistema listo para lo que sea.

Una vez iniciado el sistema me preocupo de reponer toda mi parafernalia de servidor web y elementos necesarios para el manejo de mis fichas clínicas. Reinstalar mysql y php5 no supone ninguna complicacion, tampoco el insrtalar lighttpd, es más, al instalar php5 ya no instala por defecto apache, así que me ahorro el paso de eliminarlo. Los archivos web los tengo sincronizados con UbuntuOne, por lo que simplemente doy de alta este equipo en el servicio (mucho mas fácil de hacer que con Lucid Lynx) y espero a que sincronice todo. Una vez que cuento con los archivos en mi equipo, procedo a establecer los permisos que corresponden, pero… al inciar el navegador y tratar de ver ya sea las licencias o fichas clínicas, aparece un fatídico “FORBIDDEN 403”. Googleamos por una respuesta, y el caso es el siguiente. Hasta Lucid bastaba con instalar lighttpd, php5-cgi y ejecutar sudo lighty-enable-mod fastcgi para que quedara habilitado el soporte de php en lighttpd. Ahora además de eso, hay que esitar lighttpd.conf y agregar lo siguiente al final:

fastcgi.server = ( “.php” =>
(( “socket” => “/tmp/php-fastcgi.socket”,
“bin-path” => “/usr/bin/php-cgi”
))
)

Además de la correspondiente modificacion de la ruta donde están los archivos a servir. Se reinicia el servidor con sudo /etc/init.d/lighttpd force-reload y ya tenemos todo funcionando nuevamente.

Otras cosas ‘raras’ pulseaudio-equalizer no está disponible vía ppa, sino que en un archivo .deb para descargar que encontré en la web, y me bota Clementine, así que volví a Rhythmbox, que además se integra mejor con el applet de audio.

Al iniciar me aparecía un error FATAL de que no encontraba un archivo al cargar modprobe, archivo que le indica las dependencias de cada modulo a cargar en el arranque, sin embargo, solo produce un enlentecimiento de arranque y nada más. Se solucionó al modificar el archivo initramfs.conf (cambiar MODULES=most por MODULES=dep) y reinstalar initramfs-tools sudo apt-get install --reinstall initramfs-tools.

Eso, eliminar lo que no uso (transmission, no pirateo nada… en este equipo. brasero, cambiar epmpathy por emesene) e instalar lo que uso (Google-Crome, Picasa, Skype) Para este último hay un truco. Hay que instalar Skype no más, la última version, e instalar pavucontrol, ejecutar pavucontrol, seleccionar la pestaña de entrada de audio activar el micrófono y desligar el estereo, de modo de poder llevar el volumen derecho al mínimo y subir el volumen izquierdo. Si hay algo de ruido ambiente, se ve de inmediato como la barra que indica el nivel de volumen oscila. En la configuración de Skype ahy que desactivar el checkbox que indica que Skype debe manejar los valores, en la pestaña de audio de la configuración.

Creo que ya lo tengo todo tiki-taka. Y con lucecita en el wifi. Happy!

Pediatra, aficionado a la computación, actualmente usuario de GNU/Linux, distribución Archlinux